%global momorel 11
%global artsver 1.5.10
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.10
%global kdelibsrel 1m
%global kdeutilsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KDE application for watching TV
Name: kdetv
Version: 0.8.9
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPLv2
Group: Applications/Multimedia
URL: http://www.kde-apps.org/content/show.php?content=11602
Source0: http://dziegel.free.fr/releases/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdeutils >= %{kdever}-%{kdeutilsrel}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdeutils >= %{kdever}-%{kdeutilsrel}
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: gettext
BuildRequires: libxml2
BuildRequires: zlib-devel
BuildRequires: zvbi-devel
BuildRequires: libXxf86dga-devel

%description
kdetv is a KDE application that allows you to watch television on your
GNU/Linux box running KDE. You probably know it as QtVision, the completely
rewritten version of KWinTV.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-kdetv-lirc \
	--with-zvbi \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category=Multimedia \
  --remove-category=QT \
  %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da et fr it nl pt ru sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}v4lsetup
%{_libdir}/kde3/%{name}_*.la
%{_libdir}/kde3/%{name}_*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.so*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/profiles/%{name}.profile.xml
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/icons/*/*/*/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/services/%{name}
%{_datadir}/servicetypes/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.9-11m)
- full rebuild for mo7 release

* Sat Jul 10 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.9-10m)
- build fix with desktop-file-utils-0.16

* Mon May 31 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.9-9m)
- add BuildRequires

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.9-8m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.9-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.9-6m)
- rebuild against rpm-4.6

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.9-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.9-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.9-3m)
- specify KDE3 headers and libs
- modify BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.9-2m)
- %%NoSource -> NoSource

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.9-1m)
- initial package for Momonga Linux
